#ifndef _BITMAP_FONT_H
#define _BITMAP_FONT_H

#include "init.h"

class	Font{
	GLuint	base;				// Base Display List For The Font
	GLuint	loop;				// Generic Loop Variable

	GLfloat	cnt1;				// 1st Counter Used To Move Text & For Coloring
	GLfloat	cnt2;				// 2nd Counter Used To Move Text & For Coloring
	GLuint number_texture;

public:	
	Font(GLuint texture_=texture[0]);
	~Font(GLvoid);
	GLvoid glPrint(GLint x, GLint y, char *string, int set);		// Where The Printing Happens
	GLvoid glPrint_(GLint x, GLint y, char *string, int set);		// Where The Printing Happens
	GLvoid glPrintFast(GLint x, GLint y, char *string, int set);	// Where The Printing Happens
	
	// funkcia Begin a End treba pouzivat v paroch !!!!
	void Begin(void);			// nastavi vsetko potrebne pre pisenie pomocou Print
	void Print(GLint x, GLint y, char *string, int set);	// pisanie
	void End(void);				// vypne vsetko co sa zaplo pre pisenie pomocou Print
};

#endif